import { _decorator, Component, Node } from 'cc';
import { uiManager } from '../../manager/uiManager';
import { home_car } from './home_car';
import { home_top } from './home_top';
import { home_bottom } from './home_bottom';
import { tools } from '../../tools';
import { ClientEvent } from '../../lib/clientEvent';
import { config } from '../../config';
import { userDataManager } from '../../manager/userDataManager';
import { dataManager } from '../../manager/dataManager';
const { ccclass, property } = _decorator;

@ccclass('home')
export class home extends Component {
    @property(Node) home_car:Node = null
    @property(Node) top:Node = null
    @property(Node) bottom:Node = null
    @property(Node) btn_start_game:Node = null

    protected start(): void {
        uiManager.Instance().onButtonListen(this.btn_start_game,()=>{
            tools.playGame(()=>{
                this.node.parent.active = true
            })
            this.node.parent.active = false
        })
        ClientEvent.on(config.UI_EVENT.GET_NEW_CAR,this.onGetNewCar.bind(this),this)
        this.reloadCountryRankData()
    }

    onGetNewCar(){
        console.log("获取新车:",dataManager.getCarInfoById(userDataManager.user_car_list.default_car_id))
    }
    public init(){
        this.home_car.getComponent(home_car).updateCar()
        this.top.getComponent(home_top).init()
        this.bottom.getComponent(home_bottom).init()
    }

    public reloadCountryRankData() {
        this.bottom.getComponent(home_bottom).reloadCountryRankData()
    }
}


